variables.pageX = variables.pageY = undefined;
utils.setVirtualMouseEvents = function() {
    domElements.$canvas.bind("vmousedown", utils.onVirtualMouseDown);
    domElements.$canvas.bind("vmousemove", utils.onVirtualMouseMove);
    domElements.$canvas.bind("vmouseup", utils.onVirtualMouseUp);
}

utils.onVirtualMouseDown = function(e) {
//    e.preventDefault();
    variables.pageX = e.pageX;
    variables.pageY = e.pageY;
//    todo set mouse down point
}

utils.onVirtualMouseMove = function(e) {
    e.preventDefault();
    variables.pageX = e.pageX;
    variables.pageY = e.pageY;
//    todo set mouse move point
}

utils.onVirtualMouseUp = function(e) {
    e.preventDefault();
}

utils.getCanvasPoint = function(pageX, pageY) {
    var canvasOffsetLeft = domElements.$canvas.offset().left;
    var canvasOffsetTop = domElements.$canvas.offset().top;
    return new paper.Point(Math.round((pageX - canvasOffsetLeft) / paper.view.zoom), Math.round((pageY - canvasOffsetTop) / paper.view.zoom));
}